# Tomcat
server:
  port: 9221
  servlet:
    context-path:

# Spring
spring:
  main:
    allow-bean-definition-overriding: true
  application:
    # 应用名称
    name: jeeplus-flowable
  boot:
    admin:
      client:
        url: http://localhost:8989
  pro:
    # 环境配置 请勿使用dev，规避bug
    active: pro
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8848
        # 命名空间
        namespace: ${spring.pro.active}
        username: nacos
        password: jsxgpassword
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application.${spring.cloud.nacos.config.file-extension}
        # 命名空间
        namespace: ${spring.pro.active}
        username: ${spring.cloud.nacos.discovery.username}
        password: ${spring.cloud.nacos.discovery.password}
      auth:
        plugin:
          nacos:
            token:
              secret:
                key: cCtJSWRxbW1xT3FmZkh1RTBpdTltYkM5ZlNSaTRyQ1RiSzJzV1pweEYycz0=
    sentinel:
      transport:
        dashboard: 127.0.0.1:8858
#ribbon的超时时间
ribbon:
  ConnectTimeout: 60000 # 连接超时时间(ms)
  ReadTimeout: 60000 # 通信超时时间(ms)

hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMillisecond: 60000 # 熔断超时时长：60000ms

management:
  endpoints:
    web:
      exposure:
        include: "*"

#其他系统的地址
CCPM_PATH:  http://localhost:8090
#待办中展示其他系统的流程
#ccpm =》 39 项目登记,13,102 报销,  108 电子发票报销,  109 普通报销,  21 213 发票
CCPM_TASK: 13,102,39,108,109,21,213

#各服务引用状态 =》 （若包含，则进行获取该服务的流程信息）
INQUIRE_STATUS: ccpm

CAS_PATH: http://www.casserver.com:8443

# 公共密码
publicPassword: Xg@sys9hB2!xWm
